Subject: bug#70348: [PATCH] Make preview placement more flexible

From: Paul Nelson <[email-masked]>
Date: Fri, 12 Apr 2024 09:17:33 +0200

Hello,

This patch has no effect on current behavior, but introduces a
variable preview-find-end-function that would allow (e.g.) an external
package to modify how previews overlays are placed, without resorting
to advice.

The code needed to be rearranged a bit because the implementation of
preview-find-end-function that I have in mind requires the beginning
of the region as an argument, which thus needs to be computed outside
the argument list of preview-place-preview.

This patch complements the preprocessing step introduced in bug#70295.
I'd be happy to supply more detailed motivation if that would be
helpful.

Thanks, best,

Paul